commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.PipeTable

Synopsis

- class HasPipeTable il bl where
  - pipeTable :: [ColAlignment] -> [il] -> [[il]] -> bl
- data ColAlignment
  - = LeftAlignedCol
  - | CenterAlignedCol
  - | RightAlignedCol
  - | DefaultAlignedCol
- pipeTableSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasPipeTable il bl) => SyntaxSpec m il bl

# Documentation

class HasPipeTable il bl where #

Methods

pipeTable :: [ColAlignment] -> [il] -> [[il]] -> bl #

#### Instances

Instances details

HasPipeTable (Html a) (Html a) # |
Instance details Defined in Commonmark.Extensions.PipeTable Methods pipeTable :: [ColAlignment] -> [Html a] -> [[Html a]] -> Html a #
(HasPipeTable i b, Monoid b) => HasPipeTable (WithSourceMap i) (WithSourceMap b) # |
Instance details Defined in Commonmark.Extensions.PipeTable Methods pipeTable :: [ColAlignment] -> [WithSourceMap i] -> [[WithSourceMap i]] -> WithSourceMap b #

data ColAlignment #

Constructors

LeftAlignedCol |
CenterAlignedCol |
RightAlignedCol |
DefaultAlignedCol |

#### Instances

Instances details

Data ColAlignment # |

Instance details

Defined in Commonmark.Extensions.PipeTable

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> ColAlignment -> c ColAlignment #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c ColAlignment #

toConstr :: ColAlignment -> Constr #

dataTypeOf :: ColAlignment -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c ColAlignment) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c ColAlignment) #

gmapT :: (forall b. Data b => b -> b) -> ColAlignment -> ColAlignment #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> ColAlignment -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> ColAlignment -> r #

gmapQ :: (forall d. Data d => d -> u) -> ColAlignment -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> ColAlignment -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> ColAlignment -> m ColAlignment #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> ColAlignment -> m ColAlignment #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> ColAlignment -> m ColAlignment #

Show ColAlignment # |
Instance details Defined in Commonmark.Extensions.PipeTable Methods showsPrec :: Int -> ColAlignment -> ShowS # show :: ColAlignment -> String # showList :: [ColAlignment] -> ShowS #
Eq ColAlignment # |
Instance details Defined in Commonmark.Extensions.PipeTable Methods (==) :: ColAlignment -> ColAlignment -> Bool # (/=) :: ColAlignment -> ColAlignment -> Bool #

pipeTableSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasPipeTable il bl) => SyntaxSpec m il bl #

Syntax for pipe tables. Note that this should generally be placed AFTER the syntax spec for lists, headings, and other block-level constructs, to avoid bad results when non-table lines contain pipe characters: use `defaultSyntaxSpec <> pipeTableSpec` rather than `pipeTableSpec <> defaultSyntaxSpec`.